
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">

    <title>Chat App</title>
</head>
<body>
    <form id="chat-form">
        <input type="text" id="message" placeholder="Message">
        <button type="submit">Send</button>
    </form>
    <div id="chat-messages"></div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.0.1/socket.io.js"></script>
    <script>
        const chatForm = document.getElementById('chat-form');
        const chatMessages = document.getElementById('chat-messages');
        const token = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOjEsInVzZXJuYW1lIjoiIiwicm9sZSI6IiIsInV0aWxpdHkiOiJhdXRoIiwiaWF0IjoxNjk2Nzk5NTAwLCJleHAiOjE2OTY4MDEzMDB9.2CuWLSTQ4TEj6qll2sbor_fhkA9NDWhxowuY4VMf9Lg';
        const socket = io('http://localhost:3001',{
            transports: ['websocket'], // Assurez-vous d'utiliser WebSocket comme transport
            auth: { token } // Incluez le token JWT dans l'authentification
        });
        const roomName = "3"; // Remplacez par le nom de la salle que vous souhaitez rejoindre
        const url = new URL(window.location.href);
console.log(url.searchParams.get("param1"))
        // Effectuer une requête HTTP fetch pour rejoindre une salle de discussion
        console.log("par la f1")
        chatForm.addEventListener('submit',async (e) => {
            e.preventDefault();
            const messageInput = document.getElementById('message');
            const message = messageInput.value;
            console.log("par la f2")

            await socket.emit('joinRoom', { 
                room: "3-4"
            });
            // Envoi du message au serveur via Socket.IO
            await socket.emit('message', { 
                message: message,
                room: "3-4"
            });
            console.log("par la f3")

            messageInput.value = '';
        });
        console.log("par la f4")

        socket.on('new_msg', (message) => {
            appendMessage('Utilisateur', message);
        });

        function appendMessage(sender, message) {

            const messageElement = document.createElement('div');
            messageElement.classList.add('message');
            messageElement.innerHTML = `<strong>${sender}:</strong> ${message}`;
            chatMessages.appendChild(messageElement);
            chatMessages.scrollTop = chatMessages.scrollHeight;
        }
    </script>
</body>
</html>
